please sync or merge 6.32-1

Bug #1710077 reported by ChristianEhrhardt on 2017-08-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ipset (Ubuntu)
Medium
Unassigned

Bug Description

Debian took our Delta in a slightly modified way but ok to sync.
Will allow to pick up two minor revisions.

ChristianEhrhardt (paelzer) wrote :

The only diff that is "missing" to be accepted in Debian is the disabling of debian/patches/adjust-test-scripts-for-debian.patch

That was meant for ", our kernel is new enough" as the patch itself is for: "The test failed in Debian due to the lack of some features that are not included in the current Debian Linux kernel."

summary: - please sync 6.32-1
+ please sync or merge 6.32-1
ChristianEhrhardt (paelzer) wrote :

I'm not sure as the old delta did not explain how important this sub-piece was.
It seems to only modify a small subset of tests - if they are not failing as-is I'd think we could and should sync.

ChristianEhrhardt (paelzer) wrote :

Here is a log how a sync would test [1]:

It would still fail with the same issues which is sad.
So the Delta is still needed :-/

The reason Debian is snot stumbling over that is not only that the debci is not (yet) blocking.
In all I checked in [2] the tests skipped for:
"regression SKIP Test requires machine-level isolation but testbed does not provide that"

That said not syncable right now as I hoped.
Not big enough for a merge to be important.

I also checked if still just "dropping" the patch would continue to make it working, results in [3] - but that failed as well. It seems a full update to how it currently executes is needed.

Checking if Debian has a bug for the Delta - there is none.
But it isn't as easy as to ask them to disable.
Since even then there are issues this needs to be handled in more detail.

Subscribing ubuntu-server but low prio for now.
Steps:
1. full repro on Debian system
2. adapt patch to match there on a real execution of the dep8
3. check if it would then work on Ubuntu as well
4. submit to Debian
5. make a sync after that is accepted

[1]: http://paste.ubuntu.com/25288824/
[2]: https://ci.debian.net/packages/i/ipset/unstable/amd64/
[3]: http://paste.ubuntu.com/25288980/

James Page (james-page) on 2017-10-19
Changed in ipset (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
milestone: none → ubuntu-18.04
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers